Name:           python-mitmproxy-wireguard
Version:        0.1.23
Release:        %mkrel 1
Summary:        WireGuard interface for mitmproxy
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/mitmproxy-wireguard/
Source0:        %{pypi_source mitmproxy_wireguard}
Source1:        mitmproxy-wireguard-vendor.tar.xz

BuildRequires:  python3-devel
BuildRequires:  cargo-rpm-macros
BuildRequires:  maturin
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
Transparently proxy any device that can be configured as a WireGuard client!.}


%description %_description

%package -n     python3-mitmproxy-wireguard
Summary:        %{summary}

%description -n python3-mitmproxy-wireguard %_description


%prep
%autosetup -p1 -n mitmproxy_wireguard-%{version} -a1
sed -e 's|maturin>=0.13,<0.14|maturin>=0.13|' -i pyproject.toml

cat  <<  EOF  > .cargo/config.toml
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mitmproxy_wireguard

%check
%cargo_test

%files -n python3-mitmproxy-wireguard -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Apr 04 2025 katnatek <katnatek> 0.1.23-1.mga9
+ Revision: 2173360
- Disable check step in cauldron
- imported package python-mitmproxy-wireguard
+ wally <wally>
- fix build with vendored rust crates

